<div class="flex justify-center gap-10 items-center w-full h-full flex-col md:flex-row">
  @for (project of projects; track project) {
    <mat-card class="w-96">
      <mat-card-header>
        <mat-card-title>{{ project.name }}</mat-card-title>
      </mat-card-header>
      <hr class="mt-3"/>
      <img mat-card-image src="assets/images/{{ project.image }}" [alt]="project.name">
      <mat-card-content>
        <div class="h-16">
          <p class="py-5 text-md">{{ project.description }}</p>
        </div>
        <mat-chip-set aria-label="Tech Stack">
          @for (tech of project.stack; track tech) {
            <mat-chip>{{ tech }}</mat-chip>
          }
        </mat-chip-set>
      </mat-card-content>
      <hr class="my-3"/>
      <mat-card-actions align="end">
        <a [href]="project.url" target="_blank" color="primary" mat-stroked-button>Launch</a>
      </mat-card-actions>
    </mat-card>
  }
</div>
